/*
 * Copyright (c) 1998-2007 TeamDev Ltd. All Rights Reserved.
 * Use is subject to license terms.
 */

function q_NumberConverterValidator(summary, detail, numberConverter) {
  this.conversionSummary = summary;
  this.conversionDetail = detail;
  this.converter = numberConverter;
  this.type = "converter";
}

q_NumberConverterValidator.prototype.validate = function(input) {
  var value = q__trim(q_getValue(input));
  if (q_notEmpty(value)) {
    var requestHelper = new RequestHelper();
    //  alert("!");
    try {
      var param = {
        validator: this.converter,
        value: value
      };

      var result = requestHelper.call("?validator=numberConverter", param, [{name:'teamdev_ajax_VALIDATOR',value:'validator'}]);
      // alert(result);

      if (result && result == 'false')
      {
        q_addMessage(input, this.conversionSummary, this.conversionDetail);
        return false;
      } else
      {
        return true;
      }
    } catch(x) {
    }
    //if (!q_isLong(value)) {
    //q_addMessage(input, this.conversionSummary, this.conversionDetail);
    //return false;

    //}
  }
  return true;
}

function q_NumberConverter(currencyCode, currencySymbol, locale, maxFractionDigits, maxIntegerDigits, minFractionDigits, minIntegerDigits, pattern, type, groupingUsed, integerOnly, javaClassName) {
  this.currencyCode = currencyCode;
  this.currencySymbol = currencySymbol;
  this.locale = locale;
  this.maxFractionDigits = maxFractionDigits;
  this.maxIntegerDigits = maxIntegerDigits;
  this.minFractionDigits = minFractionDigits;
  this.minIntegerDigits = minIntegerDigits;
  this.pattern = pattern;
  this.type = type;
  this.groupingUsed = groupingUsed;
  this.integerOnly = integerOnly;
  this.javaClassName = javaClassName;
  this.validatorId = "javax.faces.Number";
}
