/*
 * Copyright (c) 1998-2007 TeamDev Ltd. All Rights Reserved.
 * Use is subject to license terms.
 */

function q_BigIntegerConverterValidator(summary, detail) {
  this.conversionSummary = summary;
  this.conversionDetail = detail;
  this.type = "converter";
}

q_BigIntegerConverterValidator.prototype.validate = function(input) {
  var value = q__trim(q_getValue(input));
  if (q_notEmpty(value)) {
    if (!q_isBigInt(value)) {
      q_addMessage(input, this.conversionSummary, this.conversionDetail);
      return false;
    }
  }
  return true;
}
