/*
 * Copyright (c) 1998-2007 TeamDev Ltd. All Rights Reserved.
 * Use is subject to license terms.
 */

function q_CustomValidator(summary, detail, validateFunction) {
  this.summary = summary;
  this.detail = detail;
  this.validateFunction = validateFunction;
}

q_CustomValidator.prototype.validate = function(input) {
  var value = q_getValue(input);
  if (!value)
  {
    if (!this.validateFunction(input, value)) {
      q_addMessage(input, this.summary, this.detail);
      return false;
    }
  } else
    if (q_notEmpty(value)) {
      if (!this.validateFunction(input, value)) {
        q_addMessage(input, this.summary, this.detail);
        return false;
      }
    }
  return true;
}
